<?php

# Test script for using the pxprint.net PHP class
# Date: 2012-07-02

date_default_timezone_set( 'Europe/Berlin' );

$shop_id = '20001'; // pxprint.net shop ID
$security_key = 'abcdefg'; // pxprint.net API key
$base_url = 'http://www.mydomain.com/path/to/images/'; // base URL for (relative) download links
$subject = 'Order #123';

$items[] = array( 
	'product_id' => '1002-705', 
	'copies' => 3, 
	'url' => 'xyz_crw_0005.jpg',	
	'filename' => 'crw_0005.jpg' 
);

$items[] = array( 
	'product_id' => '1002-707', 
	'copies' => 2, 
	'url' => 'xyz_crw_0006.jpg',	
	'filename' => 'crw_0006.jpg' 
);

$shipping_address = array( 
	'lastname' => 'Doe', 
	'firstname' => 'John', 
	'organization' => 'Doe Inc.', 
	'address' => '21 Park Ave.', 
	'city' => 'Los Angeles', 
	'zipcode' => '12345', 
	'country' => 'US',
	'state' => 'CA'
);

require_once 'pxprint.class.php';
$pxprint = new Pxprint( $shop_id, $security_key, $base_url );
$response = $pxprint->create_order( $items, $subject, $shipping_address );

if ( is_numeric( $response ) )
{
	if ( $response > 0 )
	{
		echo 'Bestellung erfolgreich abgesendet. Die Bestellnummer lautet: ' . $response;
	}
	else
	{
		echo 'Bestellung konnte nicht abgesendet werden. Fehler: ' . $response;
	}
}
else
{
	echo 'Bestellung wurde zurckgewiesen. ' . $response;
}


// End of file